domingo, 24 de febrero de 2008

Problemas al instalar PostgreSQL 8.3 en ubuntu aun desinstalando PostgreSQL 8.2 con apt-get remove

Hola, el dia de hoy me tope con la necesidad de migrar mi servidor postgresql 8.2 instalado mediante apt-get a la version 8.3, si bien es cierto la instalacion mediante apt-get es muy simple el problema se origino cuando quise instalar el postgres 8.3.

Pues como decia primero desinstale el antiguo postgres de la siguiente manera:

apt-get remove postgresql-8.2 postgresql-common y otros.

Pues ya hecho esto instale el nuevo postgres 8.3 igual con apt-get. Los paquetes que elegi fueron:

* postgresql
* postgresql-8.3
* postgresql.client-8.3
* postgresql-client-common
* postgresql-common
* postgresql-contrib-8.3
* postgresql-doc
* postgresql-plperl-8.3
* postgresql-pltcl-8.3
* postgresql-server-dev-8.3

Y con apt-get se descargaron y al momento de instalar marco un error 2 y quedaba inconclusa la configuracion de dichos paquetes. Despues de analizar un poco el problema me di cuenta que aun existian los directorios y archivos de la anterior version 8.2, asi que procedi a borrarlos primero. Los directorios que borre fueron:

Dentro de /etc

- ./postgresql
- ./postgresql-common

y Dentro de /var/lib

- ./postgresql

Todos estos directorios pertenecian a la version 8.2 y como la 8.3 se instala en los mismos me generaba este error en la instalacion. El apt-get remove desinstalo los paquetes pero no borro los directorios que habia creado el anterior postgres ocasionando todos estos problemas.

Ya por ultimo procedi a reinstalar el postgresql 8.3 el cual se instalo sin problemas.

Tal vez el otro archivo que hay que borrar tambien es el script de inicio dentro de /etc/init.d que se llama postgresql-8.2.

Saludos y buenas noches.


Bahia desde el balcon...

Bahia desde el balcon...
Ixtapa Zihuatanejo

Duran Duran

Loading...